> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revolv3.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Complete Checkout Information

> Retrieves **all available details** about a specific checkout session using its unique identifier.
This includes the customer information, transaction status, payment method used, transaction details.
It is typically used after a checkout has been completed, allowing the merchant to verify the result of the payment process.

This endpoint is useful for confirming success/failure, displaying confirmation messages, or reconciling records in your system based on the outcome of the hosted checkout.



## OpenAPI

````yaml /api-reference/swagger.json get /api/Checkout/{checkoutUid}
openapi: 3.0.4
info:
  title: Revolv3 OpenApi Spec
  description: Spec for Revolv3
  version: 1.29.2
servers:
  - url: https://api-sandbox.revolv3.com
security: []
paths:
  /api/Checkout/{checkoutUid}:
    get:
      tags:
        - Checkout
      summary: Get Complete Checkout Information
      description: "Retrieves **all available details** about a specific checkout session using its unique identifier.\r\nThis includes the customer information, transaction status, payment method used, transaction details.\r\nIt is typically used after a checkout has been completed, allowing the merchant to verify the result of the payment process.\r\n\r\nThis endpoint is useful for confirming success/failure, displaying confirmation messages, or reconciling records in your system based on the outcome of the hosted checkout."
      parameters:
        - name: checkoutUid
          in: path
          description: The checkout Uid
          required: true
          schema:
            maxLength: 36
            minLength: 0
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/GetCompleteCheckoutInformationResponseDto'
              example:
                checkoutId: 12345678-ABCD-1234-EFGH-987654321000
                checkoutStatus: Pending
                returnUrl: https://mysite.com/order/12345678
                completionDate: null
                customer:
                  customerId: 328
                  firstName: Joe
                  lastName: Doe
                  email: aa@aa.com
                invoice:
                  invoiceId: 8786
                  invoiceStatus: Paid
                  total: 10
                  billingDate: '2026-07-01T13:31:34.1290674+02:00'
                  paymentMethod:
                    paymentMethodId: 0
                    billingAddress:
                      addressId: 4232
                      addressLine1: 20 Bitterwater Street
                      addressLine2: null
                      city: King City
                      state: CA
                      postalCode: '11111'
                      phoneNumber: '43823527092'
                      email: aa@aa.com
                      country: US
                    billingFirstName: Joe
                    billingLastName: Doe
                    type: null
                    achDetails: null
                    creditCardDetails:
                      last4Digit: '1111'
                      expirationDate: 11/11
                  invoiceAttempts: null
                checkoutLineItems:
                  - name: Checkout Line Item Name
                    description: Checkout Line Item Description
                    value: 10
                    valueType: Standard
            application/json:
              schema:
                $ref: '#/components/schemas/GetCompleteCheckoutInformationResponseDto'
              example:
                checkoutId: 12345678-ABCD-1234-EFGH-987654321000
                checkoutStatus: Pending
                returnUrl: https://mysite.com/order/12345678
                completionDate: null
                customer:
                  customerId: 328
                  firstName: Joe
                  lastName: Doe
                  email: aa@aa.com
                invoice:
                  invoiceId: 8786
                  invoiceStatus: Paid
                  total: 10
                  billingDate: '2026-07-01T13:31:34.1290674+02:00'
                  paymentMethod:
                    paymentMethodId: 0
                    billingAddress:
                      addressId: 4232
                      addressLine1: 20 Bitterwater Street
                      addressLine2: null
                      city: King City
                      state: CA
                      postalCode: '11111'
                      phoneNumber: '43823527092'
                      email: aa@aa.com
                      country: US
                    billingFirstName: Joe
                    billingLastName: Doe
                    type: null
                    achDetails: null
                    creditCardDetails:
                      last4Digit: '1111'
                      expirationDate: 11/11
                  invoiceAttempts: null
                checkoutLineItems:
                  - name: Checkout Line Item Name
                    description: Checkout Line Item Description
                    value: 10
                    valueType: Standard
            text/json:
              schema:
                $ref: '#/components/schemas/GetCompleteCheckoutInformationResponseDto'
              example:
                checkoutId: 12345678-ABCD-1234-EFGH-987654321000
                checkoutStatus: Pending
                returnUrl: https://mysite.com/order/12345678
                completionDate: null
                customer:
                  customerId: 328
                  firstName: Joe
                  lastName: Doe
                  email: aa@aa.com
                invoice:
                  invoiceId: 8786
                  invoiceStatus: Paid
                  total: 10
                  billingDate: '2026-07-01T13:31:34.1290674+02:00'
                  paymentMethod:
                    paymentMethodId: 0
                    billingAddress:
                      addressId: 4232
                      addressLine1: 20 Bitterwater Street
                      addressLine2: null
                      city: King City
                      state: CA
                      postalCode: '11111'
                      phoneNumber: '43823527092'
                      email: aa@aa.com
                      country: US
                    billingFirstName: Joe
                    billingLastName: Doe
                    type: null
                    achDetails: null
                    creditCardDetails:
                      last4Digit: '1111'
                      expirationDate: 11/11
                  invoiceAttempts: null
                checkoutLineItems:
                  - name: Checkout Line Item Name
                    description: Checkout Line Item Description
                    value: 10
                    valueType: Standard
        '400':
          description: >-
            One or more fields in the request were not submitted or didn't pass
            validation. Please review the request body and parameters against
            the required schema.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to perform the request action with provided data.
            application/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to perform the request action with provided data.
            text/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to perform the request action with provided data.
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Attempted to perform an unauthorized operation.
            application/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Attempted to perform an unauthorized operation.
            text/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Attempted to perform an unauthorized operation.
        '404':
          description: If the checkout ID cannot be associated with a checkout
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to find an entity with the provided data.
            application/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to find an entity with the provided data.
            text/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to find an entity with the provided data.
      security:
        - XRevolv3Token: []
components:
  schemas:
    GetCompleteCheckoutInformationResponseDto:
      type: object
      properties:
        checkoutId:
          maxLength: 36
          minLength: 0
          type: string
          nullable: true
        checkoutStatus:
          maxLength: 50
          minLength: 0
          type: string
          nullable: true
        returnUrl:
          maxLength: 200
          minLength: 0
          type: string
          nullable: true
        completionDate:
          maxLength: 40
          type: string
          format: date-time
          nullable: true
        customer:
          $ref: '#/components/schemas/CheckoutCustomerDto'
        invoice:
          $ref: '#/components/schemas/CheckoutInvoiceDto'
        checkoutLineItems:
          type: array
          items:
            $ref: '#/components/schemas/CheckoutLineItemDto'
          nullable: true
      additionalProperties: false
    StatusMessageResponse:
      type: object
      properties:
        message:
          type: string
          nullable: true
        errors:
          type: array
          items:
            type: string
          nullable: true
        fluentValidatorErrors:
          type: array
          items:
            $ref: '#/components/schemas/ValidationFailure'
          nullable: true
      additionalProperties: false
    CheckoutCustomerDto:
      type: object
      properties:
        customerId:
          maximum: 1000000000
          minimum: 1
          type: integer
          format: int64
        firstName:
          maxLength: 150
          minLength: 0
          type: string
          nullable: true
        lastName:
          maxLength: 150
          minLength: 0
          type: string
          nullable: true
        email:
          maxLength: 100
          minLength: 0
          type: string
          format: email
          nullable: true
      additionalProperties: false
    CheckoutInvoiceDto:
      type: object
      properties:
        invoiceId:
          maximum: 1000000000
          minimum: 1
          type: integer
          format: int64
        invoiceStatus:
          maxLength: 100
          minLength: 0
          type: string
          nullable: true
        total:
          maximum: 10000000
          minimum: 0
          type: number
          format: double
        billingDate:
          maxLength: 40
          type: string
          format: date-time
        paymentMethod:
          $ref: '#/components/schemas/CheckoutPaymentMethodDto'
        invoiceAttempts:
          type: array
          items:
            $ref: '#/components/schemas/CheckoutInvoiceAttemptDto'
          nullable: true
      additionalProperties: false
    CheckoutLineItemDto:
      type: object
      properties:
        name:
          maxLength: 100
          minLength: 0
          type: string
          nullable: true
        description:
          maxLength: 200
          minLength: 0
          type: string
          nullable: true
        value:
          maximum: 10000000
          minimum: 0
          type: number
          format: double
        valueType:
          maxLength: 50
          minLength: 0
          type: string
          nullable: true
      additionalProperties: false
    ValidationFailure:
      type: object
      properties:
        propertyName:
          type: string
          nullable: true
        errorMessage:
          type: string
          nullable: true
        attemptedValue:
          nullable: true
        customState:
          nullable: true
        severity:
          $ref: '#/components/schemas/Severity'
        errorCode:
          type: string
          nullable: true
        formattedMessagePlaceholderValues:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    CheckoutPaymentMethodDto:
      type: object
      properties:
        paymentMethodId:
          maximum: 1000000000
          minimum: 1
          type: integer
          format: int64
        billingAddress:
          $ref: '#/components/schemas/AddressDTO'
        billingFirstName:
          maxLength: 150
          minLength: 0
          type: string
          nullable: true
        billingLastName:
          maxLength: 150
          minLength: 0
          type: string
          nullable: true
        type:
          maxLength: 50
          minLength: 0
          type: string
          nullable: true
        achDetails:
          $ref: '#/components/schemas/AchDetailsDto'
        creditCardDetails:
          $ref: '#/components/schemas/CreditCardDetailsDto'
      additionalProperties: false
    CheckoutInvoiceAttemptDto:
      type: object
      properties:
        invoiceAttemptId:
          maximum: 1000000000
          minimum: 1
          type: integer
          format: int64
        amount:
          maximum: 10000000
          minimum: 0
          type: number
          format: double
        invoiceAttemptStatus:
          maxLength: 100
          minLength: 0
          type: string
          nullable: true
        invoiceAttemptDate:
          maxLength: 40
          type: string
          format: date-time
        paymentProcessor:
          maxLength: 100
          minLength: 0
          type: string
          nullable: true
        processorTransactionId:
          maxLength: 100
          minLength: 0
          type: string
          nullable: true
        responseCode:
          maxLength: 10
          minLength: 0
          type: string
          nullable: true
        responseMessage:
          maxLength: 500
          minLength: 0
          type: string
          nullable: true
      additionalProperties: false
    Severity:
      enum:
        - Error
        - Warning
        - Info
      type: string
    AddressDTO:
      type: object
      properties:
        addressId:
          type: integer
          description: The unique identifier of the address.
          format: int64
        addressLine1:
          maxLength: 40
          minLength: 2
          type: string
          description: Address.
          nullable: true
        addressLine2:
          maxLength: 40
          minLength: 0
          type: string
          description: Supplemental information for the address.
        city:
          maxLength: 25
          minLength: 2
          type: string
          description: City.
          nullable: true
        state:
          maxLength: 2
          minLength: 2
          type: string
          description: Two-letter state abbreviation.
          nullable: true
        postalCode:
          maxLength: 20
          minLength: 2
          type: string
          description: Postal Code.
          nullable: true
        phoneNumber:
          maxLength: 20
          minLength: 0
          type: string
          description: >-
            The phone number associated with a payment method that is used for
            billing purposes.
        email:
          maxLength: 100
          minLength: 0
          type: string
          description: The email associated with a billing address.
          format: email
        country:
          maxLength: 2
          minLength: 2
          type: string
          description: Country.
          nullable: true
      additionalProperties: false
    AchDetailsDto:
      type: object
      properties:
        accountNumberLast4Digits:
          maxLength: 4
          minLength: 4
          pattern: ^\d{4}$
          type: string
          nullable: true
        accountType:
          maxLength: 20
          minLength: 0
          type: string
          nullable: true
      additionalProperties: false
    CreditCardDetailsDto:
      type: object
      properties:
        last4Digit:
          maxLength: 4
          minLength: 4
          pattern: ^\d{4}$
          type: string
          nullable: true
        expirationDate:
          maxLength: 7
          minLength: 0
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    XRevolv3Token:
      type: apiKey
      in: header
      name: x-revolv3-token

````